from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

Ssu_Esl_Alistat_V0_1_0 = CommandToolBuilder(tool="ssu_esl_alistat", base_command=["ssu-esl-alistat"], inputs=[ToolInput(tag="in_use_tabular_line", input_type=Boolean(optional=True), prefix="-1", doc=InputDocumentation(doc=": use tabular output, one line per alignment")), ToolInput(tag="in_in_format", input_type=File(optional=True), prefix="--informat", doc=InputDocumentation(doc=": specify that input file is in format <s>")), ToolInput(tag="in_amino", input_type=Boolean(optional=True), prefix="--amino", doc=InputDocumentation(doc=": <msafile> contains protein alignments")), ToolInput(tag="in_dna", input_type=Boolean(optional=True), prefix="--dna", doc=InputDocumentation(doc=": <msafile> contains DNA alignments")), ToolInput(tag="in_rna", input_type=Boolean(optional=True), prefix="--rna", doc=InputDocumentation(doc=": <msafile> contains RNA alignments")), ToolInput(tag="in_small", input_type=Boolean(optional=True), prefix="--small", doc=InputDocumentation(doc=": use minimal RAM (RAM usage will be independent of aln size)")), ToolInput(tag="in_list", input_type=File(optional=True), prefix="--list", doc=InputDocumentation(doc=": output list of sequence names in alignment(s) to file <f>")), ToolInput(tag="in_ic_info", input_type=String(optional=True), prefix="--icinfo", doc=InputDocumentation(doc=": print info on information content alignment column")), ToolInput(tag="in_r_info", input_type=String(optional=True), prefix="--rinfo", doc=InputDocumentation(doc=": print info on # of non-gap residues in each column to <f>")), ToolInput(tag="in_pc_info", input_type=String(optional=True), prefix="--pcinfo", doc=InputDocumentation(doc=": print per-column   posterior probability info to <f>")), ToolInput(tag="in_ps_info", input_type=String(optional=True), prefix="--psinfo", doc=InputDocumentation(doc=": print per-sequence posterior probability info to <f>")), ToolInput(tag="in_i_info", input_type=String(optional=True), prefix="--iinfo", doc=InputDocumentation(doc=": print info on # of insertions b/t all non-gap RF cols to <f>")), ToolInput(tag="in_msa_file", input_type=String(), position=0, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_list", output_type=File(optional=True), selector=InputSelector(input_to_select="in_list", type_hint=File()), doc=OutputDocumentation(doc=": output list of sequence names in alignment(s) to file <f>"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Ssu_Esl_Alistat_V0_1_0().translate("wdl", allow_empty_container=True)

